Package org.jacoco.agent.rt.internal

## Interface IExceptionLogger

    public interface IExceptionLogger

At several places exception might occur that should be reported. For testability these exceptions are emitted against this interface.

### Field Summary

Fields
`static IExceptionLogger` `SYSTEM_ERR` Default implementation which dumps the stack trace to System.err.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `logExeption​(java.lang.Exception ex)` Logs the given exception.

### Field Detail

#### SYSTEM_ERR

    static final IExceptionLogger SYSTEM_ERR

Default implementation which dumps the stack trace to System.err.

### Method Detail

#### logExeption

    void logExeption​(java.lang.Exception ex)

Logs the given exception.

Parameters:
  `ex` - exception to log